<template>
  <div class="card-container">
    <h2>
      <img
        src="@/assets/icons/charts_statistics.svg"
        alt="Icône tablezau statistiques"
      />
      Résumé
    </h2>
    <b-avatar :src="avatarUrl" size="7rem"></b-avatar>
    <p>
      <h5>{{ user.first_name }} {{ user.last_name }}</h5>
      {{ user.username }}
      <b-badge v-if="user.is_superuser" pill variant="success">admin</b-badge>
    <p>
    <div
      v-for="usergroup of user.usergroup_roles"
      :key="usergroup.id"
      style="text-align: center; font-size: 0.9em;"
    >
      {{ usergroup.usergroup.display_name }}
    </div>
  </div>
</template>

<script>
export default {
  name: 'UserCard',

  props: {
    user: {
      type: Object,
      default: () => { return {} }
    }
  },

  computed: {
    avatarUrl() {
      return `https://robohash.org/${this.user.first_name}`;
    }
  }
}
</script>
